/*
   File Name:

      CLight.h

   Created by:

      Allen Sherrod (Programming Ace of www.UltimateGameProgramming.com).

   Description:

      This file holds the structure for a light.
*/


#ifndef CLIGHT_H
#define CLIGHT_H

#define AREA_LIGHT   0
#define POINT_LIGHT  1


class CLight
{
   public:
      CLight() : type(0), r(0), g(0), b(0), radius(0) {}
      CLight(int T, CVector4 &pos, float R, float G, float B, float RD)
      {
         type = T;
         position = pos;
         r = R; g = G; b = B;
         radius = RD;
      }

      // Light type, position, color, and radius.
      int type;
      CVector4 position;
      float r, g, b;
      float radius;
};

#endif


// Copyright February 2005
// All Rights Reserved!
// Allen Sherrod
// ProgrammingAce@UltimateGameProgramming.com
// www.UltimateGameProgramming.com